Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui.calendar
Class LabelBox

    java.lang.Object
      net.sf.borg.ui.calendar.Box
          net.sf.borg.ui.calendar.LabelBox

     class LabelBox

extends Box

A Box that shows a text label on the calendar. It cannot be edited, moved, or deleted. It is associated with a label entity, such as a hard-coded holiday or birthday

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.borg.ui.calendar.Box
`Box.Draggable`

Field Summary

Fields inherited from class net.sf.borg.ui.calendar.Box
`bounds, clip, isSelected`

Constructor Summary
`LabelBox(LabelEntity ap, Rectangle bounds, Rectangle clip)` constructor

Method Summary
`void` | `draw(Graphics2D g2, Component comp)` draw the box
`String` | `getText()` get the box text
`String` | `getToolTipText()` gets the tool tip text for this box
`void` | `onClick()` action called when the box is clicked

Methods inherited from class net.sf.borg.ui.calendar.Box
`clicksToActivate, delete, getBounds, getMenu, setBounds, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelBox

    public LabelBox(LabelEntity ap,
                    Rectangle bounds,
                    Rectangle clip)

  constructor

  Parameters:
    `ap` - calendar entity associated with this box
    `bounds` - bounds
    `clip` - clip

Method Detail

### draw

    public void draw(Graphics2D g2,
                     Component comp)

  Description copied from class: `Box`
  draw the box

  Specified by:
    `draw` in class `Box`
  Parameters:
    `g2` - the Graphics2D to draw in
    `comp` - that contains the Graphics2D

### getText

    public String getText()

  Description copied from class: `Box`
  get the box text

  Specified by:
    `getText` in class `Box`
  Returns:
    the text

### onClick

    public void onClick()

  Description copied from class: `Box`
  action called when the box is clicked

  Specified by:
    `onClick` in class `Box`

### getToolTipText

    public String getToolTipText()

  Description copied from class: `Box`
  gets the tool tip text for this box

  Specified by:
    `getToolTipText` in class `Box`
  Returns:
    the tool tip text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic